<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"><head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8" /><title>The Parsers (Cpp, C, Cxx)</title><link rel="stylesheet" href="synopsis.css" type="text/css" /><meta name="generator" content="DocBook XSL Stylesheets V1.73.2" /><link rel="start" href="index.html" title="Synopsis Developer's Guide" /><link rel="up" href="python.html" title="Chapter 2. The Python API" /><link rel="prev" href="pipeline.html" title="The Processor Pipeline" /><link rel="next" href="formatters.html" title="The HTML Formatter(s)" /></head><body><div class="navheader"><table width="100%" summary="Navigation header"><tr><th colspan="3" align="center">The Parsers (Cpp, C, Cxx)</th></tr><tr><td width="20%" align="left"><a accesskey="p" href="pipeline.html">Prev</a> </td><th width="60%" align="center">Chapter 2. The Python API</th><td width="20%" align="right"> <a accesskey="n" href="formatters.html">Next</a></td></tr></table></div><div class="section" lang="en" xml:lang="en"><div class="titlepage"><div><div><h2 class="title" style="clear: both"><a id="parsers"></a>The Parsers (Cpp, C, Cxx)</h2></div></div></div><p>
        These processors are essentially shared C++ libraries which are loaded and
        operated by python as extension modules. Their public APIs are discussed in
        the <a class="ulink" href="http://synopsis.fresco.org/docs/Tutorial" target="_top">tutorial</a>,
        and the internals are discussed in the chapter on the C++ API, though some 
        particularities are worth mentioning here.
      </p><p>
        It is sometimes necessary to debug C/C++ code even when it is controlled
        through a python API. This makes debugging a bit inconvenient. With gdb,
        you have to issue <span class="command"><strong>target exec python</strong></span> before executing
        the python script that calls an extension module.
      </p></div><div class="navfooter"><table width="100%" summary="Navigation footer"><tr><td width="40%" align="left"><a accesskey="p" href="pipeline.html">Prev</a> </td><td width="20%" align="center"><a accesskey="u" href="python.html">Up</a></td><td width="40%" align="right"> <a accesskey="n" href="formatters.html">Next</a></td></tr><tr><td width="40%" align="left" valign="top">The Processor Pipeline </td><td width="20%" align="center"><a accesskey="h" href="index.html">Home</a></td><td width="40%" align="right" valign="top"> The HTML Formatter(s)</td></tr></table></div></body></html>
